
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>go语言编码规范 / 憋错料</title>

    <meta name="description" content="go语言编码规范 1.代码规范 类型 标识 例子 int i / I iCount.ICount bool b / B bShow.BShow string s / S sName.SName uint u / U uColor.UColor float f / F fPlace.FPlace pointer p / P *pName.*PName struct stc/Stc stcPerson.StcPerson array arr / Arr arrHero.ArrHero slice slc / Slc">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">go语言编码规范</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h5>1.代码规范</h5>
<table>
<thead>
<tr>
<th>类型</th>
<th>标识</th>
<th>例子</th>
</tr>
</thead>
<tbody>
<tr>
<td>int</td>
<td>i / I</td>
<td>iCount、ICount</td>
</tr>
<tr>
<td>bool</td>
<td>b / B</td>
<td>bShow、BShow</td>
</tr>
<tr>
<td>string</td>
<td>s / S</td>
<td>sName、SName</td>
</tr>
<tr>
<td>uint</td>
<td>u / U</td>
<td>uColor、UColor</td>
</tr>
<tr>
<td>float</td>
<td>f / F</td>
<td>fPlace、FPlace</td>
</tr>
<tr>
<td>pointer</td>
<td>p / P</td>
<td>*pName、*PName</td>
</tr>
<tr>
<td>struct</td>
<td>stc/Stc</td>
<td>stcPerson、StcPerson</td>
</tr>
<tr>
<td>array</td>
<td>arr / Arr</td>
<td>arrHero、ArrHero</td>
</tr>
<tr>
<td>slice</td>
<td>slc / Slc</td>
<td>sliHero、SliHero</td>
</tr>
<tr>
<td>map</td>
<td>map / Map</td>
<td>mapPerson、MapPerson</td>
</tr>
<tr>
<td>const</td>
<td>全部大写</td>
<td>const PI float32 = 3.14</td>
</tr>
<tr>
<td>interface</td>
<td>I</td>
<td>IMyInterface</td>
</tr>
</tbody>
</table>
<h5>2.go关键字</h5>
<table>
<thead>
<tr>
<th>2.keyword</th>
<th>&nbsp;</th>
<th>&nbsp;</th>
<th>&nbsp;</th>
<th>&nbsp;</th>
</tr>
</thead>
<tbody>
<tr>
<td>break</td>
<td>default</td>
<td>func</td>
<td>interface</td>
<td>select</td>
</tr>
<tr>
<td>case</td>
<td>defer</td>
<td>go</td>
<td>map</td>
<td>struct</td>
</tr>
<tr>
<td>chan</td>
<td>else</td>
<td>goto</td>
<td>package</td>
<td>switch</td>
</tr>
<tr>
<td>const</td>
<td>fallthrough</td>
<td>if</td>
<td>range</td>
<td>type</td>
</tr>
<tr>
<td>continue</td>
<td>for</td>
<td>import</td>
<td>return</td>
<td>var</td>
</tr>
</tbody>
</table>
<h5>3.进制-&gt;%</h5>
<table>
<thead>
<tr>
<th>3.进制</th>
<th>&nbsp;</th>
</tr>
</thead>
<tbody>
<tr>
<td>二进制</td>
<td>%b</td>
</tr>
<tr>
<td>八进制</td>
<td>%o</td>
</tr>
<tr>
<td>十六进制</td>
<td>%x</td>
</tr>
<tr>
<td>十进制</td>
<td>%d</td>
</tr>
<tr>
<td>浮点数</td>
<td>%f</td>
</tr>
<tr>
<td>字符串</td>
<td>%s</td>
</tr>
</tbody>
</table>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-09 02:41:15 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/for/" title="for">for</a>, <a href="https://www.biecuoliao.com/tag/html/" title="html">html</a>, <a href="https://www.biecuoliao.com/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.biecuoliao.com/tag/amp/" title="amp">amp</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>go语言编码规范的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mox7ak0.html" rel="bookmark">c语言编码规范</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编码规范的作用主要有两点:一是好看,一是统一.相比较而言后者更重要.  编码规范可以从四个方面来讨论: 1 空格与空行 空格是横向的艺术,空行是竖向的艺术. 关键字if,while,for与后面的括号加 空格,例如while(1),单括号内的表达式与括号不加空格. 双目运算符两侧加空格,单目运算符不加.例如:i = i+1;  ++i; 有些终端宽度是80列显示,所以为了兼容,一般列数超过80列,换行. 不使用tab缩进, tab用两个空格代替. 函数之间,全局变量,头文件引用等逻辑段落之间,加			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWQ8pr3.html" rel="bookmark">Java编码规范&lpar;华为&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Document number 文档编号 Confidentiality level 密级 内部公开 Document version 文档版本 Total 29 pages 共 29 页 V1.00 Java语言编码规范 Prepared by 拟制 Date 日期 yyyy-mm-dd Reviewed by 评审人 Date 日期 yyyy-mm-dd Approved by 批准 Date 日期 yyyy-mm-dd Revision Record 修订记录 Date 日期 Revisi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/NMyNvY0.html" rel="bookmark">华为C语言编程规范</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DKBA华为技术有限公司内部技术规范DKBA 2826-2011.5C语言编程规范2011年5月9日发布 2011年5月9日实施华为技术有限公司Huawei Technologies Co., Ltd.版权所有 侵权必究All rights reserved密级:confidentiality levelDKBA 2826-2011.52011-06-02 华为机密,未经许可不得扩散 Huawei Confidential 第2页,共61页Page 2 , Total61修订声明Revision			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/BMze7J4.html" rel="bookmark">html编码规范</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				不久前接到老大下达的任务,要拟定一份公司前端编码规范的草稿,参考了各大公司的编码规范,结合现在公司的特点,整理出以下编码规范: html规范 1 文件相关 (1) 文件名以英文为主,可以使用下划线(如active.html),压缩包以项目名+日期的形式. (2) 统一使用utf-8编码. (3) css.js发布到线上都需要压缩. (4) 在追求高度优化的站点,需要对图片也进行无损压缩. 2 代码风格 2.1 命名 (1) 元素 id 必须保证页面唯一.(解释:同一个页面中,不同的元素包含相同的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35VaEv4.html" rel="bookmark">C&num;语言开发规范-ching版</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				学习C#之初,始终不知道怎么命名比较好,很多时候无从命名,终于有一天我整理了一份命名规范文档,自此我就是按照这个命名规范书写代码,整洁度无可言表,拙劣之处请大家斧正,愚某虚心接受,如有雷同,不胜荣幸 C#语言开发规范 作者ching 1.  命名规范 a) 类 [规则1-1]使用Pascal规则命名类名,即首字母要大写. eg: Class Test { ... } [规则1-2]使用能够反映类功能的名词或名词短语命名类. [规则1-3]不要使用“I”.“C”.“_”等特定含义前缀. [规则1-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dgeGBM.html" rel="bookmark">Bootstrap编码规范</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				黄金定律 永远遵循同一套编码规范 -- 可以是这里列出的,也可以是你自己总结的.如果你发现本规范中有任何错误,敬请指正.通过 open an issue on GitHub为本规范添加或贡献内容. 不管有多少人共同参与同一项目,一定要确保每一行代码都像是同一个人编写的. HTML 语法 用两个空格来代替制表符(tab) -- 这是唯一能保证在所有环境下获得一致展现的方法. 嵌套元素应当缩进一次(即两个空格). 对于属性的定义,确保全部使用双引号,绝不要使用单引号. 不要在自闭合(self-clo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pvjAx0.html" rel="bookmark">iOS&colon;Cocoa编码规范 -&lbrack;译&rsqb;Coding Guidelines for Cocoa</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				--原文地址:https://developer.apple.com/library/mac/documentation/Cocoa/Conceptual/CodingGuidelines/Articles/FrameworkImpl.html Cocoa编码规范 --前言 用公共API开发一个Cocoa框架,插件,或其他可执行目标,里面的命名编写和规范不同于一般应用程序的开发.因为你开发出来东西是给开发者用的看的,并且他们不熟悉你的编程接口.这个时候API的命名约定就派上用场了,因为它使你的写			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nEKKxM.html" rel="bookmark">web项目开发 之 前端规范 --- JavaScript编码规范</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript编码规范 此文严格按照W3C规范和部分实际项目可读性,浏览器加载,性能等众多属性权衡,做出平时前端编码规范文档.供广大web工作者参考并实施,对维护和项目扩展升级都能省时省力. 场景:web前端开发中 一些Javascript的注意事项 和 规格建议: [参考百度资料 和个人一些总结] 1 前言 JavaScript 在百度一直有着广泛的应用,特别是在浏览器端的行为管理.本文档的目标是使 JavaScript 代码风格保持一致,容易被理解和被维护. 虽然本文档是针对 Java			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3r27BX3.html" rel="bookmark">C&num;编码规范-转</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:原文 http://www.cnblogs.com/wulinfeng/archive/2012/08/31/2664720.html 1 规范目的 ……………………………………………………… 3 2 适用范围 ……………………………………………………… 3 3 代码注释 ……………………………………………………… 3 3.1 代码注释约定............................................ 3 3.2 模块头部注释规范.................			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/j4N8207.html" rel="bookmark" class="title">os -- 进程的控制</a>
					<div>
						os -- 进程的控制 新建 模板 小书匠 参考 &lt;计算机操作系统&gt;(第四版) 汤小丹等编著 概念引入 进程控制 进程控制是最基本的功能,负责创建进程.结束进程等功能,一般由 OS 内核中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzaXZO4.html" rel="bookmark" class="title">oc block基本使用</a>
					<div>
						// // main.m // block基本使用 // // Created by Ymmmsick on 15/7/21. // Copyright (c) 2015年 Ymmmsick. All ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/412ywPM.html" rel="bookmark" class="title">XenApp&lowbar;XenDesktop&lowbar;7&period;6实战篇之十八：Citrix XenDesktop 7&period;6Feature Pack 2 正式发布了</a>
					<div>
						CitrixXenDesktop 7.6 Feature Pack 2于2015年6月30日已经正式发布了,接下来我们会使用几个章节跟大家介绍FP2的新功能和具体如何升级配置FP2. 1.1  相对于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x8yVL0.html" rel="bookmark" class="title">【转载】COM 组件设计与应用（七）&mdash;&mdash;编译、注册、调用</a>
					<div>
						原文:http://vckbase.com/index.php/wv/1218.html 一.前言 上两回中,咱们用 ATL 写了第一个 COM 组件程序,这回中,主要介绍编译.册和调用方法.示例程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyjLrY0.html" rel="bookmark" class="title">POJ 3279 Fliptile（DFS&plus;反转）</a>
					<div>
						题目链接:http://poj.org/problem?id=3279 题目大意:有一个n*m的格子,每个格子都有黑白两面(0表示白色,1表示黑色).我们需要把所有的格子都反转成黑色,每反转一个格子, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xRNGQ4.html" rel="bookmark" class="title">你的BI应用处于什么阶段？解读Gartner BI成熟度模型</a>
					<div>
						文 | 帆软数据应用研究院 水手哥   无论国内还是国外,多数企业的BI和分析平台建设之路并不平坦:一是对自身的环境和需求认识不足,未能打蛇打七寸,导致成效产出不高:二是眼光只放在当前,未能考虑以后的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Jy5rA3.html" rel="bookmark" class="title">&lbrack;android&rsqb; 百度地图开发 &lpar;一&rpar;&period;申请AK显示地图及解决显示空白网格问题</a>
					<div>
						    最近做android百度地图,但是使用baidumapapi_v2_3_1.jar和libBaiduMapSDK_v2_3_1.so显示百度地图时总是遇到问题--只显示网格而没有显示地图,网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPw5K64.html" rel="bookmark" class="title">管理联机重做日志</a>
					<div>
						Using Online Redo Log Files Online Redo logfiles have the following characteristics: ·Record all cha ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pLyqx4.html" rel="bookmark" class="title">求一个二维数组的最大子数组</a>
					<div>
						小组成员:周其范  胡宝月 上课的时候老师布置的题目是求一个二维数组的最大子数组,因为以前的时候老师要求我们做过一个题目就是求一个数组的最大子数组,当时的方法就是利用循环把所有可能算出,然后比较那个最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLRWGA3.html" rel="bookmark" class="title">C&num; 延时小函数 很好用</a>
					<div>
						平时我们在做winform开发的时候,有时候需要让程序休眠几秒钟,但是,如果我们直接使用 thread.sleep()函数,页面ui就会停止响应.怎么样解决呢,你可以把页面涉及到表现ui的代码放到一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rBbaX3.html" rel="bookmark" class="title">&lbrack; html drawImage  createPattern &rsqb; canvas绘制图片 drawImage 属性图片平铺方式实例演示</a>
					<div>
						&lt;!DOCTYPE html&gt; &lt;html lang='zh-cn'&gt; &lt;head&gt; &lt;title&gt;Insert you title&lt;/title ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGDGRo0.html" rel="bookmark" class="title">Object-oriented features</a>
					<div>
						Python is an object-oriented programing language, which means that it provides features that support ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wprZ84.html" rel="bookmark" class="title">GoldentGate Oracle to Oracle 初始化详解</a>
					<div>
						一.安装GoldenGate[源端,目标端] 1.创建ogg目录 [[email protected] ~]# mkdir /DBSoft/ogg [[email protected] ~]# cd  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38rPN2M.html" rel="bookmark" class="title">AsyncTask doinbackground onProgressUpdate onCancelled  onPostExecute的基本使用</a>
					<div>
						对于异步操作的原理我就不讲了.在这我着重讲怎么使用异步操作的doinbackground onProgressUpdate onCancelled onPostExecute这四个方法 doinbac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXDOxVM.html" rel="bookmark" class="title">关于select Count&lpar;&rpar;的使用和性能问题</a>
					<div>
						比如Count(*) FROM E_Table WHERE [date] &gt; '2008-1-1' AND istrue = 0 由于操作的数据比较大(400万以上),所以使用了两个数据库,一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AxNJz3.html" rel="bookmark" class="title">关于js 中的 foreach  map</a>
					<div>
						  forEach是ECMA5中Array新方法中最基本的一个,就是遍历,循环.例如下面这个例子: [1, 2 ,3, 4].forEach(alert); 等同于下面这个for循环 ? 1 2 3  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgmZYR3.html" rel="bookmark" class="title">puppet报告系统dashboard以及puppet&plus;nginx</a>
					<div>
						Puppet Dashboard是由支持Puppet开发的公司Puppetlabs创建的,是Ruby on Rails程序.可以作为一个ENC(外部节点分类器)以及一个报告工具,并且正在逐渐成为一个包 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPgeDP4.html" rel="bookmark" class="title">表单提交：button input submit 的区别</a>
					<div>
						http://harttle.com/2015/08/03/form-submit.html 最近项目代码中的表单提交的方式已经百花齐放了,现在用这篇文章来整理一下不同表单提交方式的区别,给出最佳实践 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWevxG3.html" rel="bookmark" class="title">让Tomcat告别频繁重启</a>
					<div>
						在网站开发过程中,有一个很烦的问题就是每次我们在项目里增加几行代码,然后我们企图在浏览器中查看修改后的变化时,却发现浏览器的内容并不变化,于是我们只能通过频繁的重启tomcat来获得最新的效果,其实这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JGKQDM.html" rel="bookmark" class="title">hashcode的作用（转载&plus;议论）</a>
					<div>
						转载: 总的来说,Java中的集合(Collection)有两类,一类是List,再有一类是Set.前者集合内的元素是有序的,元素可以重复:后者元素无序,但元素不可重复.那么这里就有一个比较严重的问题 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
